com.genesyslab.wfm7.API.service.calendar760

## Class CalLimitInformation

- java.lang.Object
- - com.genesyslab.wfm7.API.service.calendar760.CalLimitInformation

- All Implemented Interfaces:
    java.io.Serializable

      public class CalLimitInformation
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private CalLimitData[]` | `data` Limit data array
    `private int` | `dataArraySize` Limit data array size
    `private double` | `end` End date
    `private int` | `granularity` Granularity, daily/time steps
    `private double` | `start` Start date
    `private int` | `target` Target level
    `private int` | `targetID` Target ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalLimitInformation()`
    `CalLimitInformation(int target, int targetID, double start, double end, int granularity, int dataArraySize, CalLimitData[] data)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `CalLimitData[]` | `getData()` Gets the data value for this CalLimitInformation.
    `int` | `getDataArraySize()` Gets the dataArraySize value for this CalLimitInformation.
    `double` | `getEnd()` Gets the end value for this CalLimitInformation.
    `int` | `getGranularity()` Gets the granularity value for this CalLimitInformation.
    `double` | `getStart()` Gets the start value for this CalLimitInformation.
    `int` | `getTarget()` Gets the target value for this CalLimitInformation.
    `int` | `getTargetID()` Gets the targetID value for this CalLimitInformation.
    `int` | `hashCode()`
    `void` | `setData(CalLimitData[] data)` Sets the data value for this CalLimitInformation.
    `void` | `setDataArraySize(int dataArraySize)` Sets the dataArraySize value for this CalLimitInformation.
    `void` | `setEnd(double end)` Sets the end value for this CalLimitInformation.
    `void` | `setGranularity(int granularity)` Sets the granularity value for this CalLimitInformation.
    `void` | `setStart(double start)` Sets the start value for this CalLimitInformation.
    `void` | `setTarget(int target)` Sets the target value for this CalLimitInformation.
    `void` | `setTargetID(int targetID)` Sets the targetID value for this CalLimitInformation.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### target

          private int target

      Target level
      See Also:
        `ECalLimitTarget`

    - #### targetID

          private int targetID

      Target ID

    - #### start

          private double start

      Start date

    - #### end

          private double end

      End date

    - #### granularity

          private int granularity

      Granularity, daily/time steps

    - #### dataArraySize

          private int dataArraySize

      Limit data array size

    - #### data

          private CalLimitData[] data

      Limit data array

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CalLimitInformation

          public CalLimitInformation()

    - #### CalLimitInformation

          public CalLimitInformation(int target,
                             int targetID,
                             double start,
                             double end,
                             int granularity,
                             int dataArraySize,
                             CalLimitData[] data)

  - ### Method Detail

    - #### getTarget

          public int getTarget()

      Gets the target value for this CalLimitInformation.
      Returns:
        target

    - #### setTarget

          public void setTarget(int target)

      Sets the target value for this CalLimitInformation.
      Parameters:
        `target` -

    - #### getTargetID

          public int getTargetID()

      Gets the targetID value for this CalLimitInformation.
      Returns:
        targetID

    - #### setTargetID

          public void setTargetID(int targetID)

      Sets the targetID value for this CalLimitInformation.
      Parameters:
        `targetID` -

    - #### getStart

          public double getStart()

      Gets the start value for this CalLimitInformation.
      Returns:
        start

    - #### setStart

          public void setStart(double start)

      Sets the start value for this CalLimitInformation.
      Parameters:
        `start` -

    - #### getEnd

          public double getEnd()

      Gets the end value for this CalLimitInformation.
      Returns:
        end

    - #### setEnd

          public void setEnd(double end)

      Sets the end value for this CalLimitInformation.
      Parameters:
        `end` -

    - #### getGranularity

          public int getGranularity()

      Gets the granularity value for this CalLimitInformation.
      Returns:
        granularity

    - #### setGranularity

          public void setGranularity(int granularity)

      Sets the granularity value for this CalLimitInformation.
      Parameters:
        `granularity` -

    - #### getDataArraySize

          public int getDataArraySize()

      Gets the dataArraySize value for this CalLimitInformation.
      Returns:
        dataArraySize

    - #### setDataArraySize

          public void setDataArraySize(int dataArraySize)

      Sets the dataArraySize value for this CalLimitInformation.
      Parameters:
        `dataArraySize` -

    - #### getData

          public CalLimitData[] getData()

      Gets the data value for this CalLimitInformation.
      Returns:
        data

    - #### setData

          public void setData(CalLimitData[] data)

      Sets the data value for this CalLimitInformation.
      Parameters:
        `data` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.